Update an account
curl --request PATCH \
--url https://app.rookoo.ai/platform/api/v1/accounts/{account_id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "My Account",
"locale": "en",
"domain": "example.com",
"support_email": "[email protected]",
"status": "active",
"limits": {},
"custom_attributes": {}
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Account',
locale: 'en',
domain: 'example.com',
support_email: '[email protected]',
status: 'active',
limits: {},
custom_attributes: {}
})
};
fetch('https://app.rookoo.ai/platform/api/v1/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/platform/api/v1/accounts/{account_id}"
payload = {
"name": "My Account",
"locale": "en",
"domain": "example.com",
"support_email": "[email protected]",
"status": "active",
"limits": {},
"custom_attributes": {}
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Accounts
Update an account
Update an account’s attributes
PATCH
/
platform
/
api
/
v1
/
accounts
/
{account_id}
Update an account
curl --request PATCH \
--url https://app.rookoo.ai/platform/api/v1/accounts/{account_id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "My Account",
"locale": "en",
"domain": "example.com",
"support_email": "[email protected]",
"status": "active",
"limits": {},
"custom_attributes": {}
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Account',
locale: 'en',
domain: 'example.com',
support_email: '[email protected]',
status: 'active',
limits: {},
custom_attributes: {}
})
};
fetch('https://app.rookoo.ai/platform/api/v1/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/platform/api/v1/accounts/{account_id}"
payload = {
"name": "My Account",
"locale": "en",
"domain": "example.com",
"support_email": "[email protected]",
"status": "active",
"limits": {},
"custom_attributes": {}
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by the system admin after creating a platformApp. This token should be used to provision agent bots, accounts, users and their roles.
Path Parameters
The numeric ID of the account
Body
application/json
Name of the account
Example:
"My Account"
The locale of the account
Example:
"en"
The domain of the account
Example:
"example.com"
The support email of the account
Example:
The status of the account
Available options:
active, suspended Example:
"active"
The limits of the account
Example:
{}
The custom attributes of the account
Example:
{}